import { GridLayout, AbsoluteLayout, View, StackLayout } from '@nativescript/core';
export interface IMinimumHeights {
    portrait: number;
    landscape: number;
}
/**
 * Used for content area
 */
export declare class Content extends StackLayout {
}
export declare class ParallaxUtilities {
    static setMinimumHeight(contentView: View, anchoredRow: AbsoluteLayout, minHeight: number, includesAnchored: any): void;
    static getMinimumHeights(): IMinimumHeights;
    static addDropShadow(translateY: number, width: number): StackLayout;
    private static shadowView;
    static fadeViews(topHeight: number, verticalOffset: number, viewsToFade: View[], topOpacity: any): void;
    static getAnchoredTopHeight(topHeight: number, verticalOffset: number): number;
    static getTopViewHeight(topHeight: number, verticalOffset: number): number;
    static displayDevWarning(parent: GridLayout, message: string, ...viewsToCollapse: View[]): void;
    static pluckViews(parent: GridLayout): View[];
    static containsCssClass(view: View, className: string): boolean;
}
export declare class Header extends StackLayout {
}
export declare class Anchored extends StackLayout {
    private _dropShadow;
    get dropShadow(): boolean;
    set dropShadow(value: boolean);
    constructor();
}
export declare class ParallaxView extends GridLayout {
    private _controlsToFade;
    private _childLayouts;
    private _includesAnchored;
    private _isAnchored;
    private _topOpacity;
    private _loaded;
    private _minimumHeights;
    private _bounce;
    static scrollEvent: string;
    static anchoredEvent: string;
    static unanchoredEvent: string;
    get bounce(): boolean;
    set bounce(value: boolean);
    get controlsToFade(): string;
    set controlsToFade(value: string);
    get isAnchored(): boolean;
    get android(): any;
    get ios(): any;
    constructor();
}
